package com.ruoyi.system.service.projectV2;

import com.ruoyi.system.domain.projectV2.ZsyzSkcy;

import java.util.List;

/**
 * 省库产业Service接口
 * 
 * @author boman
 * @date 2023-03-29
 */
public interface IZsyzSkcyService 
{
    /**
     * 查询省库产业
     * 
     * @param skcyId 省库产业主键
     * @return 省库产业
     */
    public ZsyzSkcy selectZsyzSkcyBySkcyId(Long skcyId);

    /**
     * 查询省库产业列表
     * 
     * @param zsyzSkcy 省库产业
     * @return 省库产业集合
     */
    public List<ZsyzSkcy> selectZsyzSkcyList(ZsyzSkcy zsyzSkcy);

    /**
     * 新增省库产业
     * 
     * @param zsyzSkcy 省库产业
     * @return 结果
     */
    public int insertZsyzSkcy(ZsyzSkcy zsyzSkcy);

    /**
     * 修改省库产业
     * 
     * @param zsyzSkcy 省库产业
     * @return 结果
     */
    public int updateZsyzSkcy(ZsyzSkcy zsyzSkcy);

    /**
     * 批量删除省库产业
     * 
     * @param skcyIds 需要删除的省库产业主键集合
     * @return 结果
     */
    public int deleteZsyzSkcyBySkcyIds(Long[] skcyIds);

    /**
     * 删除省库产业信息
     * 
     * @param skcyId 省库产业主键
     * @return 结果
     */
    public int deleteZsyzSkcyBySkcyId(Long skcyId);
    /**
     * 是否存在产业子节点
     *
     * @param skcyId 产业ID
     * @return 结果
     */
    public boolean hasChildBySkcyId(Long skcyId);
}
